Module java.management
Package javax.management.relation

# Class RoleInfoNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.JMException
javax.management.relation.RelationException
javax.management.relation.RoleInfoNotFoundException

All Implemented Interfaces:
  `Serializable`

    public class RoleInfoNotFoundException
    extends RelationException

This exception is raised when there is no role info with given name in a given relation type.

Since:
  1.5
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`RoleInfoNotFoundException()` | Default constructor, no message put in exception.
`RoleInfoNotFoundException​(String message)` | Constructor with given message put in exception.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RoleInfoNotFoundException

public RoleInfoNotFoundException()
Default constructor, no message put in exception.

### RoleInfoNotFoundException

public RoleInfoNotFoundException​(String message)
Constructor with given message put in exception.

Parameters:
  `message` - the detail message.